using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BLL
{
    /*教师信息业务逻辑层*/
    public class bllTeacher_QQ287307421{
        /*添加教师信息*/
        public static bool AddTeacher_QQ287307421(Model.Teacher_QQ287307421 teacher_QQ287307421)
        {
            return DAL.dalTeacher_QQ287307421.AddTeacher_QQ287307421(teacher_QQ287307421);
        }

        /*根据teacherNumber获取某条教师信息记录*/
        public static Model.Teacher_QQ287307421 getSomeTeacher_QQ287307421(string teacherNumber)
        {
            return DAL.dalTeacher_QQ287307421.getSomeTeacher_QQ287307421(teacherNumber);
        }

        /*更新教师信息*/
        public static bool EditTeacher_QQ287307421(Model.Teacher_QQ287307421 teacher_QQ287307421)
        {
            return DAL.dalTeacher_QQ287307421.EditTeacher_QQ287307421(teacher_QQ287307421);
        }

        /*删除教师信息*/
        public static bool DelTeacher_QQ287307421(string p)
        {
            return DAL.dalTeacher_QQ287307421.DelTeacher_QQ287307421(p);
        }

        /*根据条件分页查询教师信息*/
        public static System.Data.DataTable GetTeacher_QQ287307421(int NowPage, int PageSize, out int AllPage, out int DataCount, string p)
        {
            return DAL.dalTeacher_QQ287307421.GetTeacher_QQ287307421(NowPage, PageSize, out AllPage, out DataCount, p);
        }
        /*查询所有的教师信息*/
        public static System.Data.DataSet getAllTeacher_QQ287307421()
        {
            return DAL.dalTeacher_QQ287307421.getAllTeacher_QQ287307421();
        }
    }
}
